From 2af383223f703fa9e4d315843b021ad23a5b32d5 Mon Sep 17 00:00:00 2001
From: Rasmus Thomsen <rasmus.thomsen@protonmail.com>
Date: Sat, 16 Feb 2019 16:56:48 +0100
Subject: [PATCH 1/2] New package: graphene-1.8.2

---
 common/shlibs             |  1 +
 srcpkgs/graphene-devel    |  1 +
 srcpkgs/graphene/template | 42 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)
 create mode 120000 srcpkgs/graphene-devel
 create mode 100644 srcpkgs/graphene/template

diff --git a/common/shlibs b/common/shlibs
index b368836487f..c7df079312c 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3465,3 +3465,4 @@ libFAudio.so.0 FAudio-19.05_1
 libqaccessibilityclient-qt5.so.0 libqaccessibilityclient-0.4.0_1
 libnitrokey.so.3 libnitrokey-3.4.1_1
 libceres.so.1 ceres-solver-1.14.0_1
+libgraphene-1.0.so.0 graphene-1.8.2_1
diff --git a/srcpkgs/graphene-devel b/srcpkgs/graphene-devel
new file mode 120000
index 00000000000..4ba99649963
--- /dev/null
+++ b/srcpkgs/graphene-devel
@@ -0,0 +1 @@
+graphene
\ No newline at end of file
diff --git a/srcpkgs/graphene/template b/srcpkgs/graphene/template
new file mode 100644
index 00000000000..5c3bfc387c6
--- /dev/null
+++ b/srcpkgs/graphene/template
@@ -0,0 +1,42 @@
+# Template file for 'graphene'
+pkgname=graphene
+version=1.8.2
+revision=1
+build_style=meson
+build_helper="gir"
+configure_args="-Dtests=false -Dbenchmarks=false
+ -Dintrospection=$(vopt_if gir true false)"
+hostmakedepends="pkg-config"
+makedepends="libglib-devel"
+short_desc="Thin layer of types for graphic libraries"
+maintainer="Rasmus Thomsen <rasmus.thomsen@protonmail.com>>"
+license="MIT"
+homepage="https://github.com/ebassi/graphene"
+distfiles="${GNOME_SITE}/graphene/${version%.*}/graphene-${version}.tar.xz"
+checksum=b3fcf20996e57b1f4df3941caac10f143bb29890a42f7a65407cd19271fc89f7
+
+build_options="gir"
+
+case "$XBPS_TARGET_MACHINE" in
+	i686-musl|x86_64-musl) build_options_default+=" gir" ;;
+	*-musl) ;;
+	*) build_options_default+=" gir" ;;
+esac
+
+post_install() {
+	vlicense LICENSE
+}
+
+graphene-devel_package() {
+	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
+		vmove usr/lib/graphene-1.0
+		if [ "$build_option_gir" ]; then
+			vmove usr/share/gir-1.0
+		fi
+	}
+}

From baff747b6c8c4c4b9a5222345913a43f706a4edc Mon Sep 17 00:00:00 2001
From: Rasmus Thomsen <rasmus.thomsen@protonmail.com>
Date: Sat, 16 Feb 2019 16:56:52 +0100
Subject: [PATCH 2/2] New package: gtk4-3.94.0

---
 common/shlibs                  |  1 +
 srcpkgs/gtk4-demo              |  1 +
 srcpkgs/gtk4-devel             |  1 +
 srcpkgs/gtk4-update-icon-cache |  1 +
 srcpkgs/gtk4/template          | 78 ++++++++++++++++++++++++++++++++++
 5 files changed, 82 insertions(+)
 create mode 120000 srcpkgs/gtk4-demo
 create mode 120000 srcpkgs/gtk4-devel
 create mode 120000 srcpkgs/gtk4-update-icon-cache
 create mode 100644 srcpkgs/gtk4/template

diff --git a/common/shlibs b/common/shlibs
index c7df079312c..fd1dbbe4e3a 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3466,3 +3466,4 @@ libqaccessibilityclient-qt5.so.0 libqaccessibilityclient-0.4.0_1
 libnitrokey.so.3 libnitrokey-3.4.1_1
 libceres.so.1 ceres-solver-1.14.0_1
 libgraphene-1.0.so.0 graphene-1.8.2_1
+libgtk-4.so.0.9400.0 gtk4-3.94.0_1
diff --git a/srcpkgs/gtk4-demo b/srcpkgs/gtk4-demo
new file mode 120000
index 00000000000..870d493d73b
--- /dev/null
+++ b/srcpkgs/gtk4-demo
@@ -0,0 +1 @@
+gtk4
\ No newline at end of file
diff --git a/srcpkgs/gtk4-devel b/srcpkgs/gtk4-devel
new file mode 120000
index 00000000000..870d493d73b
--- /dev/null
+++ b/srcpkgs/gtk4-devel
@@ -0,0 +1 @@
+gtk4
\ No newline at end of file
diff --git a/srcpkgs/gtk4-update-icon-cache b/srcpkgs/gtk4-update-icon-cache
new file mode 120000
index 00000000000..870d493d73b
--- /dev/null
+++ b/srcpkgs/gtk4-update-icon-cache
@@ -0,0 +1 @@
+gtk4
\ No newline at end of file
diff --git a/srcpkgs/gtk4/template b/srcpkgs/gtk4/template
new file mode 100644
index 00000000000..50577e77ca5
--- /dev/null
+++ b/srcpkgs/gtk4/template
@@ -0,0 +1,78 @@
+# Template file for 'gtk4'
+pkgname=gtk4
+version=3.94.0
+revision=1
+wrksrc="gtk+-${version}"
+build_style=meson
+build_helper="gir"
+configure_args="-Dman-pages=true -Dbuild-tests=false -Dmedia=all
+ -Dbroadway-backend=$(vopt_if broadway true false)
+ -Dx11-backend=$(vopt_if x11 true false)
+ -Dwayland-backend=$(vopt_if wayland true false)
+ -Dintrospection=$(vopt_if gir true false)
+ -Dprint-backends=$(vopt_if cups 'cups,file' file)
+ -Dcolord=$(vopt_if colord yes no)
+ -Dcloudproviders=$(vopt_if cloudproviders true false)
+ -Dvulkan=$(vopt_if vulkan yes no)"
+hostmakedepends="gettext-devel glib-devel gtk-doc gtk-update-icon-cache perl
+ pkg-config $(vopt_if wayland 'wayland-devel wayland-protocols')"
+makedepends="at-spi2-atk-devel gdk-pixbuf-devel libepoxy-devel pango-devel
+ iso-codes graphene-devel gst-plugins-bad1-devel ffmpeg-devel
+ $(vopt_if colord 'colord-devel') $(vopt_if cups 'cups-devel')
+ $(vopt_if wayland 'libxkbcommon-devel wayland-devel wayland-protocols MesaLib-devel')
+ $(vopt_if x11 'libXcursor-devel libXdamage-devel libXext-devel libXinerama-devel libXi-devel libXrandr-devel libXcomposite-devel')
+ $(vopt_if cloudproviders 'libcloudproviders-devel') $(vopt_if vulkan 'vulkan-loader Vulkan-Headers')"
+depends="gtk-update-icon-cache shared-mime-info $(vopt_if x11 'dbus-x11')"
+short_desc="GIMP ToolKit (v4)"
+maintainer="Rasmus Thomsen <rasmus.thomsen@protonmail.com>"
+license="LGPL-2.1-or-later"
+homepage="https://www.gtk.org/"
+distfiles="${GNOME_SITE}/gtk+/${version%.*}/gtk+-${version}.tar.xz"
+checksum=a947caa5296610b0f1d7a03b58df34765c227c577c78e683e75eea3251a67035
+
+# Package build options
+build_options="broadway colord cups gir cloudproviders wayland x11"
+desc_option_broadway="Enable support for the HTML5 Broadway backend"
+desc_option_cloudproviders="Enable integration with cloudproviders, such as Nextcloud"
+
+build_options_default="colord cups broadway wayland x11 cloudproviders vulkan"
+
+case "$XBPS_TARGET_MACHINE" in
+	x86_64-musl) build_options_default+=" gir" ;;
+	*-musl) ;;
+	*) build_options_default+=" gir" ;;
+esac
+
+gtk4-devel_package() {
+	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
+		if [ "$build_option_gir" ]; then
+			vmove usr/share/gir-1.0
+		fi
+	}
+}
+
+gtk4-demo_package() {
+	short_desc+=" - demonstration application"
+	pkg_install() {
+		vmove usr/bin/gtk4-demo
+		vmove usr/bin/gtk4-widget-factory
+		vmove usr/bin/gtk4-demo-application
+		vmove usr/share/gtk-4.0/gtkbuilder.rng
+		vmove usr/share/glib-2.0/schemas/org.gtk.Demo.gschema.xml
+		vmove usr/share/applications/gtk4-widget-factory.desktop
+		vmove usr/share/applications/gtk4-demo.desktop
+		vmove usr/share/icons
+	}
+}
+
+gtk4-update-icon-cache_package() {
+	short_desc+=" - GTK4 update icon cache tool"
+	pkg_install() {
+		vmove usr/bin/gtk4-update-icon-cache
+	}
+}
